/**
 * Frontend style
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Ajax Search
 * @version 1.1.1
 */

/* search autocomplete */
.autocomplete-suggestions {
    padding-top: 10px;
    padding-bottom: 10px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 3px;
    box-sizing: border-box;
}

.autocomplete-suggestion {
    background: #fff;
    padding-left: 15px;
    cursor: pointer;
    text-align: left;
    line-height: 35px;
    padding:5px 15px ;
    font-size: 12px;
    clear: both;
    position: relative;
    min-height: 46px;
}

.autocomplete-suggestion:hover {
    background-color: #f2f2f2;
}

.autocomplete-suggestion .yith_wcas_result_image{
    float: left;
    margin-right: 10px;
}
.autocomplete-suggestion .yith_wcas_result_content{
    display: block;
    margin-right: 10px;
    overflow: hidden;
}

.autocomplete-suggestion .align-right{
    float: right;
    margin-left: 10px;
}

.autocomplete-suggestion p.yith_wcas_result_excerpt,
.autocomplete-suggestion div.yith_wcas_result_categories{
    line-height: 1.2em;
    margin-bottom: 5px;
    overflow: hidden;
}


.woocommerce .autocomplete-suggestion  div.badges,
.autocomplete-suggestion  div.badges{
    right: 18px;
    left: auto;
    position: absolute;
    top: 10px;
    width: auto;
    line-height: 2em;
}

.woocommerce .autocomplete-suggestion  span.yith_wcas_result_on_sale,
.autocomplete-suggestion  span.yith_wcas_result_on_sale{
    position: relative;
    background-color: #7eb742;
    color: #fff;
    padding: 0px 8px;
    height: auto;
    display: inline-block;
}

.woocommerce .autocomplete-suggestion  span.yith_wcas_result_outofstock,
.autocomplete-suggestion  span.yith_wcas_result_outofstock{
    position: relative;
    color: #fff;
    padding: 0px 8px;
    height: auto;
    display: inline-block;
}

.woocommerce .autocomplete-suggestion  span.yith_wcas_result_featured,
.autocomplete-suggestion  span.yith_wcas_result_featured{
    position: relative;
    background-color: #C0392B;
    color: #fff;
    padding: 0px 8px;
    height: auto;
    display: inline-block;
    margin-left: 3px;
}

#yith-ajaxsearchform select, input[type="search"]{
    margin-bottom: 10px;
}

input[type="search"]{
    -webkit-appearance:textfield;
}

#yith-ajaxsearchform .search-navigation{
    display: inline-block;
}

/* VIEW ALL RESULTS */
.woocommerce .autocomplete-suggestions .link-result{
    display: block;
    text-align: center;
    clear: both;
    padding: 5px;
    font-size: 14px;
}
.woocommerce .autocomplete-suggestion .title {
    line-height: 1.6em;
    margin-bottom: 5px;
}


/**
 * Template wide
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Ajax Search
 * @version 1.4.8
 */

.yith-ajaxsearchform-wide .yith-ajaxsearchform-container {
    display: table;
    width: 100%;
}
.yith-ajaxsearchform-wide .yith-ajaxsearch-filters{
    display: table-cell;
    vertical-align: middle;
}
.yith-ajaxsearchform-wide .yith-ajaxsearchform-select,
.yith-ajaxsearchform-wide .search-input-container, .yith-ajaxsearchform-wide .search-submit-container{
    display: table-cell;
    vertical-align: middle;
    padding-right: 5px;
}
.yith-ajaxsearchform-wide .search-input-container{
    width: 100%;
}
.yith-ajaxsearchform-wide .search-input-container input[type="search"]{
    width: 100%;
    padding: 0 10px;
}
.yith-ajaxsearchform-wide .search-submit-container{
    padding-right: 0;
}
.yith-ajaxsearchform-wide #yith-ajaxsearchform select, .yith-ajaxsearchform-wide input[type=search] {
    margin: 0;
}
.yith-ajaxsearchform-wide .search-input-container input[type="search"],
.yith-ajaxsearchform-wide #yith-ajaxsearchform select,
.yith-ajaxsearchform-wide #yith-ajaxsearchform input[type="submit"]{
    min-height: 30px;
    margin: 0;
}


.yith-ajaxsearchform-wide.filters-above .yith-ajaxsearch-filters{
    display: table;
    width: 100%;
    margin-bottom: 5px;
}
.yith-ajaxsearchform-wide.filters-above .yith-ajaxsearchform-select {
    width: 50%;
}
.yith-ajaxsearchform-wide.filters-above .yith-ajaxsearchform-select:last-child{
    padding-right: 0;
}
.yith-ajaxsearchform-wide.filters-above .yith-ajaxsearchform-select select{
    width: 100%;
}